package shub.dpm;

import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.pc.*;

public class about_subs_0 {


public static RemoteObject  _activity_create(RemoteObject _firsttime) throws Exception{
try {
		Debug.PushSubsStack("Activity_Create (about) ","about",5,about.mostCurrent.activityBA,about.mostCurrent,20);
if (RapidSub.canDelegate("activity_create")) { return shub.dpm.about.remoteMe.runUserSub(false, "about","activity_create", _firsttime);}
RemoteObject _any = RemoteObject.declareNull("anywheresoftware.b4a.objects.AnimationWrapper");
Debug.locals.put("FirstTime", _firsttime);
 BA.debugLineNum = 20;BA.debugLine="Sub Activity_Create(FirstTime As Boolean)";
Debug.ShouldStop(524288);
 BA.debugLineNum = 23;BA.debugLine="Activity.LoadLayout(\"About\")";
Debug.ShouldStop(4194304);
about.mostCurrent._activity.runMethodAndSync(false,"LoadLayout",(Object)(RemoteObject.createImmutable("About")),about.mostCurrent.activityBA);
 BA.debugLineNum = 24;BA.debugLine="Activity.Title=\"Über...\"";
Debug.ShouldStop(8388608);
about.mostCurrent._activity.runMethod(false,"setTitle",BA.ObjectToCharSequence("Über..."));
 BA.debugLineNum = 25;BA.debugLine="Label5.text=Chr(0x00A9)& \"2021 - Stefan Hutter Un";
Debug.ShouldStop(16777216);
about.mostCurrent._label5.runMethod(true,"setText",BA.ObjectToCharSequence(RemoteObject.concat(about.mostCurrent.__c.runMethod(true,"Chr",(Object)(BA.numberCast(int.class, 0x00a9))),RemoteObject.createImmutable("2021 - Stefan Hutter Unternehmensberatung"))));
 BA.debugLineNum = 26;BA.debugLine="Dim Any As Animation";
Debug.ShouldStop(33554432);
_any = RemoteObject.createNew ("anywheresoftware.b4a.objects.AnimationWrapper");Debug.locals.put("Any", _any);
 BA.debugLineNum = 28;BA.debugLine="Any.InitializeRotateCenter(\"\",360,0,ImageView1)";
Debug.ShouldStop(134217728);
_any.runVoidMethod ("InitializeRotateCenter",about.mostCurrent.activityBA,(Object)(BA.ObjectToString("")),(Object)(BA.numberCast(float.class, 360)),(Object)(BA.numberCast(float.class, 0)),(Object)((about.mostCurrent._imageview1.getObject())));
 BA.debugLineNum = 29;BA.debugLine="Any.Duration=3000";
Debug.ShouldStop(268435456);
_any.runMethod(true,"setDuration",BA.numberCast(long.class, 3000));
 BA.debugLineNum = 30;BA.debugLine="ImageView1.Tag=Any";
Debug.ShouldStop(536870912);
about.mostCurrent._imageview1.runMethod(false,"setTag",(_any.getObject()));
 BA.debugLineNum = 31;BA.debugLine="Any.Start(ImageView1)";
Debug.ShouldStop(1073741824);
_any.runVoidMethod ("Start",(Object)((about.mostCurrent._imageview1.getObject())));
 BA.debugLineNum = 32;BA.debugLine="End Sub";
Debug.ShouldStop(-2147483648);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _activity_pause(RemoteObject _userclosed) throws Exception{
try {
		Debug.PushSubsStack("Activity_Pause (about) ","about",5,about.mostCurrent.activityBA,about.mostCurrent,38);
if (RapidSub.canDelegate("activity_pause")) { return shub.dpm.about.remoteMe.runUserSub(false, "about","activity_pause", _userclosed);}
Debug.locals.put("UserClosed", _userclosed);
 BA.debugLineNum = 38;BA.debugLine="Sub Activity_Pause (UserClosed As Boolean)";
Debug.ShouldStop(32);
 BA.debugLineNum = 40;BA.debugLine="End Sub";
Debug.ShouldStop(128);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _activity_resume() throws Exception{
try {
		Debug.PushSubsStack("Activity_Resume (about) ","about",5,about.mostCurrent.activityBA,about.mostCurrent,34);
if (RapidSub.canDelegate("activity_resume")) { return shub.dpm.about.remoteMe.runUserSub(false, "about","activity_resume");}
 BA.debugLineNum = 34;BA.debugLine="Sub Activity_Resume";
Debug.ShouldStop(2);
 BA.debugLineNum = 36;BA.debugLine="End Sub";
Debug.ShouldStop(8);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _button3_click() throws Exception{
try {
		Debug.PushSubsStack("Button3_Click (about) ","about",5,about.mostCurrent.activityBA,about.mostCurrent,43);
if (RapidSub.canDelegate("button3_click")) { return shub.dpm.about.remoteMe.runUserSub(false, "about","button3_click");}
 BA.debugLineNum = 43;BA.debugLine="Private Sub Button3_Click";
Debug.ShouldStop(1024);
 BA.debugLineNum = 44;BA.debugLine="Activity.Finish";
Debug.ShouldStop(2048);
about.mostCurrent._activity.runVoidMethod ("Finish");
 BA.debugLineNum = 45;BA.debugLine="End Sub";
Debug.ShouldStop(4096);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _globals() throws Exception{
 //BA.debugLineNum = 12;BA.debugLine="Sub Globals";
 //BA.debugLineNum = 16;BA.debugLine="Private ImageView1 As ImageView";
about.mostCurrent._imageview1 = RemoteObject.createNew ("anywheresoftware.b4a.objects.ImageViewWrapper");
 //BA.debugLineNum = 17;BA.debugLine="Private Label5 As Label";
about.mostCurrent._label5 = RemoteObject.createNew ("anywheresoftware.b4a.objects.LabelWrapper");
 //BA.debugLineNum = 18;BA.debugLine="End Sub";
return RemoteObject.createImmutable("");
}
public static RemoteObject  _process_globals() throws Exception{
 //BA.debugLineNum = 6;BA.debugLine="Sub Process_Globals";
 //BA.debugLineNum = 10;BA.debugLine="End Sub";
return RemoteObject.createImmutable("");
}
}